import { ApiCall } from "tsrpc";
import { JJCFun } from '../../public/jjc';
import { ReqRefresh, ResRefresh } from "../../shared/protocols/jjc/PtlRefresh";

export default async function (call: ApiCall<ReqRefresh, ResRefresh>) {
    let enemy = await JJCFun.randomEnemy(call.uid)
    call.succ({
        ...enemy
    });
}